Summary:	vb-GUI
Name:		vb-GUI
Version:	2.2
Release:	9%{?dist}
License:	GPL
Group:      System/Servers
Vendor:     vortexbox.org
Packager:   admin@tvortexbox.org
URL:        http://www.vortexbox.org
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: 	php

%description
Web user interface for VortexBox.

%prep

%setup -q -n %{name}-%{version}

%build

%install

mkdir -p %{buildroot}
install -d %{buildroot}
cp -r * %{buildroot}

%post
chown apache:apache /var/www/html/templates_c
chmod +w /var/www/html/templates_c
chown -R apache:apache /var/www/html/config
chmod +w /var/www/html/config
rm -rf /var/www/html/templates_c/*
touch /var/www/html/templates_c/index.html

chown -R apache:apache /var/www/html/neompc/imagecache
chown -R apache:apache /var/www/html/neompc/smarty/templates_c
touch /var/www/html/neompc/smarty/templates_c/index.html
touch /var/www/html/neompc/imagecache/index.html

touch /var/log/mirror.log
touch /var/log/usbbackup.log
touch /var/log/vbupgrade.log

%clean
rm -rf %{buildroot}

%files
/var/www/html/*
/etc/httpd/conf.d/api.conf

%changelog
* Mon Jul 22 2013 <admin@vortexbox.org>
- Added support for Squeezelite

* Wed Feb 13 2013 <admin@vortexbox.org>
- Updated CSS
- Updated French translation

* Mon Nov 05 2012 <admin@vortexbox.org>
- Added multi language support

* Tue Jun 19 2012 <admin@vortexbox.org>
- Added Clear LMS art cache feature

* Mon Jun 04 2012 <admin@vortexbox.org>
- Start using systemctl to control services
- Updated for new minidlna service

* Tue Mar 20 2012 <admin@vortexbox.org>
- Fiexed a error that occurs in system status if sensors-detect is not run

* Sat Sep 24 2011 <admin@vortexbox.org>
- Added support for m2ts mirroring 

* Tue Jul 05 2011 <admin@vortexbox.org>
- Added support for restore from backup
- Made IP configuration more robust

* Tue Apr 12 2011 <admin@vortexbox.org>
- Added RAID status

* Thu Feb 24 2011 <admin@vortexbox.org>
- Fixed spelling mistakes and other small bugs
- uped to 1.8

* Tue Feb 01 2011 <admin@vortexbox.org>
- Added neompc

* Mon Sep 20 2010 <admin@vortexbox.org>
- Fixed small icon bug

* Wed Sep 08 2010 <admin@vortexbox.org>
- Added iTuens 10 compatible DAAP
- Added service manager

* Wed Jun 09 2010 <admin@vortexbox.org>
- Added DLNA support

* Mon Apr 12 2010 <admin@vortexbox.org>
- Added support for bliss

* Mon Apr 05 2010 <admin@vortexbox.org>
- Added stop button to backup

* Wed Mar 24 2010 <admin@vortexbox.org>
- Fixed some typos

* Mon Mar 22 2010 <admin@vortexbox.org>
- Added support for Subsonic

* Mon Mar 15 2010 <admin@vortexbox.org>
- cover art in mp3s is now optional

* Mon Mar 08 2010 <admin@vortexbox.org>
- Updates to version 1.2

* Fri Mar 05 2010 <admin@vortexbox.org>
- Added support for MusicIP

* Tue Mar 02 2010 <admin@vortexbox.org>
- Added support for package manager

* Tue Jan 26 2010 <admin@vortexbox.org>
- Added auto FLAC mirror

* Sat Jan 23 2010 <admin@vortexbox.org>
- Added support to the GUI for configuring vortexbox-player

* Wed Dec 16 2009 <admin@vortexbox.org>
- Updated to 1.0

* Wed Nov 11 2009 <admin@vortexbox.org>
- Added get cover art button to ripper GUI

* Mon Oct 12 2009 <admin@vortexbox.org>
- Added temperature format selection

* Thu Oct 08 2009 <admin@vortexbox.org>
- Fixed phpsysinfo

* Mon Sep 14 2009 <admin@vortexbox.org>
- Added upgrade tab

* Thu Jul 16 2009 <admin@vortexbox.org>
- Added viewing of ripping log
- Configure timezone

* Thu Jun 11 2009 <admin@vortexbox.org>
- Added IP address configuration section
- Updated GUI look

* Wed Nov 05 2008 admin <admin@vortexbox.org>
- Inital release
